QGIS Application - Bug report #2787
Value Tool crashes with GRASS Rasters
2010-06-06 03:07 PM - andre mano

Status: Closed

Priority: Low

Assignee: ghislainp -

Category: Python plugins

Affected QGIS version: Regression?: No
Operating System: Linux Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupts data: Copied to github as #: 12847
Description

When | import a Raster to QGIS through GRASS, with Value Tool Plugin Activated, it gives the following error message

An error has occured while executing Python code:

Traceback (most recent call last):
File "/home/alt-shn/.qgis/python/plugins/valuetool/valuewidget.py", line 134, in printValue
self.ymin=min(self.ymin,cstr.minimumValue())
[[AttributeError]]: 'NoneType' object has no attribute 'minimumValue'

Python version:

2.6.4 (r264:75706, Dec 7 2009, 19:02:09)

[GCC 4.4.1]
Furthermore, the error message repeats itself everytime | click on the "close" Button and | have no choice but to shut down and restart
QGIS

History

#1 - 2010-06-07 05:36 AM - Giovanni Manghi
- Resolution set to invalid

- Status changed from Open to Closed

Ola André,

this is unfortunately a known problem. The GRASS raster provider has changed and fixed a few nasty bugs, but had broken a few other things, among them
there is the value tool plugin. In any case the plugin is a 3rd party one, so its bugs nust be reported directly to the author and/or to the dev mailing list.

Cheers!

#2 - 2010-06-07 11:41 AM - Jiirgen Fischer

BTW it doesn't crash. valuetool should ignore grass raster layers (at least for now). the error message only appears when you move the mouse pointer
inside the map canvas, so you can move it outside, close the error message using the keyboard and disable valuetool in the plugin manager.

#3 - 2010-06-12 11:56 AM - Jiirgen Fischer
Replying to [comment:3 jef]:

BTW it doesn't crash. valuetool should ignore grass raster layers (at least for now).

Looks like the current version already does. | made a patch that adds support for grass rasters:
http://lists.osgeo.org/pipermail/ggis-user/2010-June/008872.html
